Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network86.30.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
86.30.32.0
Broadcast address
86.30.63.255
First usable
86.30.32.1
Last usable
86.30.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 561E2000 · Integer 1444814848 to 1444823039
Reverse DNS zones
32.30.86.in-addr.arpa
33.30.86.in-addr.arpa
34.30.86.in-addr.arpa
35.30.86.in-addr.arpa
36.30.86.in-addr.arpa
37.30.86.in-addr.arpa
38.30.86.in-addr.arpa
39.30.86.in-addr.arpa
40.30.86.in-addr.arpa
41.30.86.in-addr.arpa
42.30.86.in-addr.arpa
43.30.86.in-addr.arpa
44.30.86.in-addr.arpa
45.30.86.in-addr.arpa
46.30.86.in-addr.arpa
47.30.86.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010110.00011110.00100000.0000000086.30.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01010110.00011110.00100000.0000000086.30.32.0
Broadcast01010110.00011110.00111111.1111111186.30.63.255
Split into smaller subnets/27

86.30.32.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
186.30.32.0/2786.30.32.1 to 86.30.32.3086.30.32.3130
286.30.32.32/2786.30.32.33 to 86.30.32.6286.30.32.6330
386.30.32.64/2786.30.32.65 to 86.30.32.9486.30.32.9530
486.30.32.96/2786.30.32.97 to 86.30.32.12686.30.32.12730
586.30.32.128/2786.30.32.129 to 86.30.32.15886.30.32.15930
686.30.32.160/2786.30.32.161 to 86.30.32.19086.30.32.19130
786.30.32.192/2786.30.32.193 to 86.30.32.22286.30.32.22330
886.30.32.224/2786.30.32.225 to 86.30.32.25486.30.32.25530
986.30.33.0/2786.30.33.1 to 86.30.33.3086.30.33.3130
1086.30.33.32/2786.30.33.33 to 86.30.33.6286.30.33.6330
1186.30.33.64/2786.30.33.65 to 86.30.33.9486.30.33.9530
1286.30.33.96/2786.30.33.97 to 86.30.33.12686.30.33.12730
1386.30.33.128/2786.30.33.129 to 86.30.33.15886.30.33.15930
1486.30.33.160/2786.30.33.161 to 86.30.33.19086.30.33.19130
1586.30.33.192/2786.30.33.193 to 86.30.33.22286.30.33.22330
1686.30.33.224/2786.30.33.225 to 86.30.33.25486.30.33.25530
1786.30.34.0/2786.30.34.1 to 86.30.34.3086.30.34.3130
1886.30.34.32/2786.30.34.33 to 86.30.34.6286.30.34.6330
1986.30.34.64/2786.30.34.65 to 86.30.34.9486.30.34.9530
2086.30.34.96/2786.30.34.97 to 86.30.34.12686.30.34.12730
2186.30.34.128/2786.30.34.129 to 86.30.34.15886.30.34.15930
2286.30.34.160/2786.30.34.161 to 86.30.34.19086.30.34.19130
2386.30.34.192/2786.30.34.193 to 86.30.34.22286.30.34.22330
2486.30.34.224/2786.30.34.225 to 86.30.34.25486.30.34.25530
2586.30.35.0/2786.30.35.1 to 86.30.35.3086.30.35.3130
2686.30.35.32/2786.30.35.33 to 86.30.35.6286.30.35.6330
2786.30.35.64/2786.30.35.65 to 86.30.35.9486.30.35.9530
2886.30.35.96/2786.30.35.97 to 86.30.35.12686.30.35.12730
2986.30.35.128/2786.30.35.129 to 86.30.35.15886.30.35.15930
3086.30.35.160/2786.30.35.161 to 86.30.35.19086.30.35.19130
3186.30.35.192/2786.30.35.193 to 86.30.35.22286.30.35.22330
3286.30.35.224/2786.30.35.225 to 86.30.35.25486.30.35.25530
3386.30.36.0/2786.30.36.1 to 86.30.36.3086.30.36.3130
3486.30.36.32/2786.30.36.33 to 86.30.36.6286.30.36.6330
3586.30.36.64/2786.30.36.65 to 86.30.36.9486.30.36.9530
3686.30.36.96/2786.30.36.97 to 86.30.36.12686.30.36.12730
3786.30.36.128/2786.30.36.129 to 86.30.36.15886.30.36.15930
3886.30.36.160/2786.30.36.161 to 86.30.36.19086.30.36.19130
3986.30.36.192/2786.30.36.193 to 86.30.36.22286.30.36.22330
4086.30.36.224/2786.30.36.225 to 86.30.36.25486.30.36.25530
4186.30.37.0/2786.30.37.1 to 86.30.37.3086.30.37.3130
4286.30.37.32/2786.30.37.33 to 86.30.37.6286.30.37.6330
4386.30.37.64/2786.30.37.65 to 86.30.37.9486.30.37.9530
4486.30.37.96/2786.30.37.97 to 86.30.37.12686.30.37.12730
4586.30.37.128/2786.30.37.129 to 86.30.37.15886.30.37.15930
4686.30.37.160/2786.30.37.161 to 86.30.37.19086.30.37.19130
4786.30.37.192/2786.30.37.193 to 86.30.37.22286.30.37.22330
4886.30.37.224/2786.30.37.225 to 86.30.37.25486.30.37.25530
4986.30.38.0/2786.30.38.1 to 86.30.38.3086.30.38.3130
5086.30.38.32/2786.30.38.33 to 86.30.38.6286.30.38.6330
5186.30.38.64/2786.30.38.65 to 86.30.38.9486.30.38.9530
5286.30.38.96/2786.30.38.97 to 86.30.38.12686.30.38.12730
5386.30.38.128/2786.30.38.129 to 86.30.38.15886.30.38.15930
5486.30.38.160/2786.30.38.161 to 86.30.38.19086.30.38.19130
5586.30.38.192/2786.30.38.193 to 86.30.38.22286.30.38.22330
5686.30.38.224/2786.30.38.225 to 86.30.38.25486.30.38.25530
5786.30.39.0/2786.30.39.1 to 86.30.39.3086.30.39.3130
5886.30.39.32/2786.30.39.33 to 86.30.39.6286.30.39.6330
5986.30.39.64/2786.30.39.65 to 86.30.39.9486.30.39.9530
6086.30.39.96/2786.30.39.97 to 86.30.39.12686.30.39.12730
6186.30.39.128/2786.30.39.129 to 86.30.39.15886.30.39.15930
6286.30.39.160/2786.30.39.161 to 86.30.39.19086.30.39.19130
6386.30.39.192/2786.30.39.193 to 86.30.39.22286.30.39.22330
6486.30.39.224/2786.30.39.225 to 86.30.39.25486.30.39.25530
6586.30.40.0/2786.30.40.1 to 86.30.40.3086.30.40.3130
6686.30.40.32/2786.30.40.33 to 86.30.40.6286.30.40.6330
6786.30.40.64/2786.30.40.65 to 86.30.40.9486.30.40.9530
6886.30.40.96/2786.30.40.97 to 86.30.40.12686.30.40.12730
6986.30.40.128/2786.30.40.129 to 86.30.40.15886.30.40.15930
7086.30.40.160/2786.30.40.161 to 86.30.40.19086.30.40.19130
7186.30.40.192/2786.30.40.193 to 86.30.40.22286.30.40.22330
7286.30.40.224/2786.30.40.225 to 86.30.40.25486.30.40.25530
7386.30.41.0/2786.30.41.1 to 86.30.41.3086.30.41.3130
7486.30.41.32/2786.30.41.33 to 86.30.41.6286.30.41.6330
7586.30.41.64/2786.30.41.65 to 86.30.41.9486.30.41.9530
7686.30.41.96/2786.30.41.97 to 86.30.41.12686.30.41.12730
7786.30.41.128/2786.30.41.129 to 86.30.41.15886.30.41.15930
7886.30.41.160/2786.30.41.161 to 86.30.41.19086.30.41.19130
7986.30.41.192/2786.30.41.193 to 86.30.41.22286.30.41.22330
8086.30.41.224/2786.30.41.225 to 86.30.41.25486.30.41.25530
8186.30.42.0/2786.30.42.1 to 86.30.42.3086.30.42.3130
8286.30.42.32/2786.30.42.33 to 86.30.42.6286.30.42.6330
8386.30.42.64/2786.30.42.65 to 86.30.42.9486.30.42.9530
8486.30.42.96/2786.30.42.97 to 86.30.42.12686.30.42.12730
8586.30.42.128/2786.30.42.129 to 86.30.42.15886.30.42.15930
8686.30.42.160/2786.30.42.161 to 86.30.42.19086.30.42.19130
8786.30.42.192/2786.30.42.193 to 86.30.42.22286.30.42.22330
8886.30.42.224/2786.30.42.225 to 86.30.42.25486.30.42.25530
8986.30.43.0/2786.30.43.1 to 86.30.43.3086.30.43.3130
9086.30.43.32/2786.30.43.33 to 86.30.43.6286.30.43.6330
9186.30.43.64/2786.30.43.65 to 86.30.43.9486.30.43.9530
9286.30.43.96/2786.30.43.97 to 86.30.43.12686.30.43.12730
9386.30.43.128/2786.30.43.129 to 86.30.43.15886.30.43.15930
9486.30.43.160/2786.30.43.161 to 86.30.43.19086.30.43.19130
9586.30.43.192/2786.30.43.193 to 86.30.43.22286.30.43.22330
9686.30.43.224/2786.30.43.225 to 86.30.43.25486.30.43.25530
9786.30.44.0/2786.30.44.1 to 86.30.44.3086.30.44.3130
9886.30.44.32/2786.30.44.33 to 86.30.44.6286.30.44.6330
9986.30.44.64/2786.30.44.65 to 86.30.44.9486.30.44.9530
10086.30.44.96/2786.30.44.97 to 86.30.44.12686.30.44.12730
10186.30.44.128/2786.30.44.129 to 86.30.44.15886.30.44.15930
10286.30.44.160/2786.30.44.161 to 86.30.44.19086.30.44.19130
10386.30.44.192/2786.30.44.193 to 86.30.44.22286.30.44.22330
10486.30.44.224/2786.30.44.225 to 86.30.44.25486.30.44.25530
10586.30.45.0/2786.30.45.1 to 86.30.45.3086.30.45.3130
10686.30.45.32/2786.30.45.33 to 86.30.45.6286.30.45.6330
10786.30.45.64/2786.30.45.65 to 86.30.45.9486.30.45.9530
10886.30.45.96/2786.30.45.97 to 86.30.45.12686.30.45.12730
10986.30.45.128/2786.30.45.129 to 86.30.45.15886.30.45.15930
11086.30.45.160/2786.30.45.161 to 86.30.45.19086.30.45.19130
11186.30.45.192/2786.30.45.193 to 86.30.45.22286.30.45.22330
11286.30.45.224/2786.30.45.225 to 86.30.45.25486.30.45.25530
11386.30.46.0/2786.30.46.1 to 86.30.46.3086.30.46.3130
11486.30.46.32/2786.30.46.33 to 86.30.46.6286.30.46.6330
11586.30.46.64/2786.30.46.65 to 86.30.46.9486.30.46.9530
11686.30.46.96/2786.30.46.97 to 86.30.46.12686.30.46.12730
11786.30.46.128/2786.30.46.129 to 86.30.46.15886.30.46.15930
11886.30.46.160/2786.30.46.161 to 86.30.46.19086.30.46.19130
11986.30.46.192/2786.30.46.193 to 86.30.46.22286.30.46.22330
12086.30.46.224/2786.30.46.225 to 86.30.46.25486.30.46.25530
12186.30.47.0/2786.30.47.1 to 86.30.47.3086.30.47.3130
12286.30.47.32/2786.30.47.33 to 86.30.47.6286.30.47.6330
12386.30.47.64/2786.30.47.65 to 86.30.47.9486.30.47.9530
12486.30.47.96/2786.30.47.97 to 86.30.47.12686.30.47.12730
12586.30.47.128/2786.30.47.129 to 86.30.47.15886.30.47.15930
12686.30.47.160/2786.30.47.161 to 86.30.47.19086.30.47.19130
12786.30.47.192/2786.30.47.193 to 86.30.47.22286.30.47.22330
12886.30.47.224/2786.30.47.225 to 86.30.47.25486.30.47.25530
12986.30.48.0/2786.30.48.1 to 86.30.48.3086.30.48.3130
13086.30.48.32/2786.30.48.33 to 86.30.48.6286.30.48.6330
13186.30.48.64/2786.30.48.65 to 86.30.48.9486.30.48.9530
13286.30.48.96/2786.30.48.97 to 86.30.48.12686.30.48.12730
13386.30.48.128/2786.30.48.129 to 86.30.48.15886.30.48.15930
13486.30.48.160/2786.30.48.161 to 86.30.48.19086.30.48.19130
13586.30.48.192/2786.30.48.193 to 86.30.48.22286.30.48.22330
13686.30.48.224/2786.30.48.225 to 86.30.48.25486.30.48.25530
13786.30.49.0/2786.30.49.1 to 86.30.49.3086.30.49.3130
13886.30.49.32/2786.30.49.33 to 86.30.49.6286.30.49.6330
13986.30.49.64/2786.30.49.65 to 86.30.49.9486.30.49.9530
14086.30.49.96/2786.30.49.97 to 86.30.49.12686.30.49.12730
14186.30.49.128/2786.30.49.129 to 86.30.49.15886.30.49.15930
14286.30.49.160/2786.30.49.161 to 86.30.49.19086.30.49.19130
14386.30.49.192/2786.30.49.193 to 86.30.49.22286.30.49.22330
14486.30.49.224/2786.30.49.225 to 86.30.49.25486.30.49.25530
14586.30.50.0/2786.30.50.1 to 86.30.50.3086.30.50.3130
14686.30.50.32/2786.30.50.33 to 86.30.50.6286.30.50.6330
14786.30.50.64/2786.30.50.65 to 86.30.50.9486.30.50.9530
14886.30.50.96/2786.30.50.97 to 86.30.50.12686.30.50.12730
14986.30.50.128/2786.30.50.129 to 86.30.50.15886.30.50.15930
15086.30.50.160/2786.30.50.161 to 86.30.50.19086.30.50.19130
15186.30.50.192/2786.30.50.193 to 86.30.50.22286.30.50.22330
15286.30.50.224/2786.30.50.225 to 86.30.50.25486.30.50.25530
15386.30.51.0/2786.30.51.1 to 86.30.51.3086.30.51.3130
15486.30.51.32/2786.30.51.33 to 86.30.51.6286.30.51.6330
15586.30.51.64/2786.30.51.65 to 86.30.51.9486.30.51.9530
15686.30.51.96/2786.30.51.97 to 86.30.51.12686.30.51.12730
15786.30.51.128/2786.30.51.129 to 86.30.51.15886.30.51.15930
15886.30.51.160/2786.30.51.161 to 86.30.51.19086.30.51.19130
15986.30.51.192/2786.30.51.193 to 86.30.51.22286.30.51.22330
16086.30.51.224/2786.30.51.225 to 86.30.51.25486.30.51.25530
16186.30.52.0/2786.30.52.1 to 86.30.52.3086.30.52.3130
16286.30.52.32/2786.30.52.33 to 86.30.52.6286.30.52.6330
16386.30.52.64/2786.30.52.65 to 86.30.52.9486.30.52.9530
16486.30.52.96/2786.30.52.97 to 86.30.52.12686.30.52.12730
16586.30.52.128/2786.30.52.129 to 86.30.52.15886.30.52.15930
16686.30.52.160/2786.30.52.161 to 86.30.52.19086.30.52.19130
16786.30.52.192/2786.30.52.193 to 86.30.52.22286.30.52.22330
16886.30.52.224/2786.30.52.225 to 86.30.52.25486.30.52.25530
16986.30.53.0/2786.30.53.1 to 86.30.53.3086.30.53.3130
17086.30.53.32/2786.30.53.33 to 86.30.53.6286.30.53.6330
17186.30.53.64/2786.30.53.65 to 86.30.53.9486.30.53.9530
17286.30.53.96/2786.30.53.97 to 86.30.53.12686.30.53.12730
17386.30.53.128/2786.30.53.129 to 86.30.53.15886.30.53.15930
17486.30.53.160/2786.30.53.161 to 86.30.53.19086.30.53.19130
17586.30.53.192/2786.30.53.193 to 86.30.53.22286.30.53.22330
17686.30.53.224/2786.30.53.225 to 86.30.53.25486.30.53.25530
17786.30.54.0/2786.30.54.1 to 86.30.54.3086.30.54.3130
17886.30.54.32/2786.30.54.33 to 86.30.54.6286.30.54.6330
17986.30.54.64/2786.30.54.65 to 86.30.54.9486.30.54.9530
18086.30.54.96/2786.30.54.97 to 86.30.54.12686.30.54.12730
18186.30.54.128/2786.30.54.129 to 86.30.54.15886.30.54.15930
18286.30.54.160/2786.30.54.161 to 86.30.54.19086.30.54.19130
18386.30.54.192/2786.30.54.193 to 86.30.54.22286.30.54.22330
18486.30.54.224/2786.30.54.225 to 86.30.54.25486.30.54.25530
18586.30.55.0/2786.30.55.1 to 86.30.55.3086.30.55.3130
18686.30.55.32/2786.30.55.33 to 86.30.55.6286.30.55.6330
18786.30.55.64/2786.30.55.65 to 86.30.55.9486.30.55.9530
18886.30.55.96/2786.30.55.97 to 86.30.55.12686.30.55.12730
18986.30.55.128/2786.30.55.129 to 86.30.55.15886.30.55.15930
19086.30.55.160/2786.30.55.161 to 86.30.55.19086.30.55.19130
19186.30.55.192/2786.30.55.193 to 86.30.55.22286.30.55.22330
19286.30.55.224/2786.30.55.225 to 86.30.55.25486.30.55.25530
19386.30.56.0/2786.30.56.1 to 86.30.56.3086.30.56.3130
19486.30.56.32/2786.30.56.33 to 86.30.56.6286.30.56.6330
19586.30.56.64/2786.30.56.65 to 86.30.56.9486.30.56.9530
19686.30.56.96/2786.30.56.97 to 86.30.56.12686.30.56.12730
19786.30.56.128/2786.30.56.129 to 86.30.56.15886.30.56.15930
19886.30.56.160/2786.30.56.161 to 86.30.56.19086.30.56.19130
19986.30.56.192/2786.30.56.193 to 86.30.56.22286.30.56.22330
20086.30.56.224/2786.30.56.225 to 86.30.56.25486.30.56.25530
20186.30.57.0/2786.30.57.1 to 86.30.57.3086.30.57.3130
20286.30.57.32/2786.30.57.33 to 86.30.57.6286.30.57.6330
20386.30.57.64/2786.30.57.65 to 86.30.57.9486.30.57.9530
20486.30.57.96/2786.30.57.97 to 86.30.57.12686.30.57.12730
20586.30.57.128/2786.30.57.129 to 86.30.57.15886.30.57.15930
20686.30.57.160/2786.30.57.161 to 86.30.57.19086.30.57.19130
20786.30.57.192/2786.30.57.193 to 86.30.57.22286.30.57.22330
20886.30.57.224/2786.30.57.225 to 86.30.57.25486.30.57.25530
20986.30.58.0/2786.30.58.1 to 86.30.58.3086.30.58.3130
21086.30.58.32/2786.30.58.33 to 86.30.58.6286.30.58.6330
21186.30.58.64/2786.30.58.65 to 86.30.58.9486.30.58.9530
21286.30.58.96/2786.30.58.97 to 86.30.58.12686.30.58.12730
21386.30.58.128/2786.30.58.129 to 86.30.58.15886.30.58.15930
21486.30.58.160/2786.30.58.161 to 86.30.58.19086.30.58.19130
21586.30.58.192/2786.30.58.193 to 86.30.58.22286.30.58.22330
21686.30.58.224/2786.30.58.225 to 86.30.58.25486.30.58.25530
21786.30.59.0/2786.30.59.1 to 86.30.59.3086.30.59.3130
21886.30.59.32/2786.30.59.33 to 86.30.59.6286.30.59.6330
21986.30.59.64/2786.30.59.65 to 86.30.59.9486.30.59.9530
22086.30.59.96/2786.30.59.97 to 86.30.59.12686.30.59.12730
22186.30.59.128/2786.30.59.129 to 86.30.59.15886.30.59.15930
22286.30.59.160/2786.30.59.161 to 86.30.59.19086.30.59.19130
22386.30.59.192/2786.30.59.193 to 86.30.59.22286.30.59.22330
22486.30.59.224/2786.30.59.225 to 86.30.59.25486.30.59.25530
22586.30.60.0/2786.30.60.1 to 86.30.60.3086.30.60.3130
22686.30.60.32/2786.30.60.33 to 86.30.60.6286.30.60.6330
22786.30.60.64/2786.30.60.65 to 86.30.60.9486.30.60.9530
22886.30.60.96/2786.30.60.97 to 86.30.60.12686.30.60.12730
22986.30.60.128/2786.30.60.129 to 86.30.60.15886.30.60.15930
23086.30.60.160/2786.30.60.161 to 86.30.60.19086.30.60.19130
23186.30.60.192/2786.30.60.193 to 86.30.60.22286.30.60.22330
23286.30.60.224/2786.30.60.225 to 86.30.60.25486.30.60.25530
23386.30.61.0/2786.30.61.1 to 86.30.61.3086.30.61.3130
23486.30.61.32/2786.30.61.33 to 86.30.61.6286.30.61.6330
23586.30.61.64/2786.30.61.65 to 86.30.61.9486.30.61.9530
23686.30.61.96/2786.30.61.97 to 86.30.61.12686.30.61.12730
23786.30.61.128/2786.30.61.129 to 86.30.61.15886.30.61.15930
23886.30.61.160/2786.30.61.161 to 86.30.61.19086.30.61.19130
23986.30.61.192/2786.30.61.193 to 86.30.61.22286.30.61.22330
24086.30.61.224/2786.30.61.225 to 86.30.61.25486.30.61.25530
24186.30.62.0/2786.30.62.1 to 86.30.62.3086.30.62.3130
24286.30.62.32/2786.30.62.33 to 86.30.62.6286.30.62.6330
24386.30.62.64/2786.30.62.65 to 86.30.62.9486.30.62.9530
24486.30.62.96/2786.30.62.97 to 86.30.62.12686.30.62.12730
24586.30.62.128/2786.30.62.129 to 86.30.62.15886.30.62.15930
24686.30.62.160/2786.30.62.161 to 86.30.62.19086.30.62.19130
24786.30.62.192/2786.30.62.193 to 86.30.62.22286.30.62.22330
24886.30.62.224/2786.30.62.225 to 86.30.62.25486.30.62.25530
24986.30.63.0/2786.30.63.1 to 86.30.63.3086.30.63.3130
25086.30.63.32/2786.30.63.33 to 86.30.63.6286.30.63.6330
25186.30.63.64/2786.30.63.65 to 86.30.63.9486.30.63.9530
25286.30.63.96/2786.30.63.97 to 86.30.63.12686.30.63.12730
25386.30.63.128/2786.30.63.129 to 86.30.63.15886.30.63.15930
25486.30.63.160/2786.30.63.161 to 86.30.63.19086.30.63.19130
25586.30.63.192/2786.30.63.193 to 86.30.63.22286.30.63.22330
25686.30.63.224/2786.30.63.225 to 86.30.63.25486.30.63.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses